Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 464938 - FTBFS nethogs-0.7-3.20080627cvs.fc10
Summary: FTBFS nethogs-0.7-3.20080627cvs.fc10
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nethogs
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Anderson Silva
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F10FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-10-01 14:59 UTC by FTBFS
Modified: 2008-10-29 03:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-29 03:48:49 UTC


Attachments (Terms of Use)

Description FTBFS 2008-10-01 14:59:50 UTC
nethogs-0.7-3.20080627cvs.fc10.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 Anderson Silva 2008-10-01 19:10:13 UTC
I am not sure what this is all about, it built fine from source on koji:

http://koji.fedoraproject.org/koji/packageinfo?packageID=6388

Comment 2 Matt Domsch 2008-10-01 19:28:41 UTC
RPM has gotten stricter since July when that build occurred.  

rpmbuild now throws this error:
  %patch without corresponding "Patch:" tag

likely to do with Patch0 not being defined.

Comment 3 Anderson Silva 2008-10-02 02:54:44 UTC
I've done everything to update the package, and it keeps failing on koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=856012


Here's is some of what I've done:

[ansilva@bean2 devel]$ make srpm
rpmbuild --define "_sourcedir /usr/local/dev/cvs/fedora/nethogs/devel" --define "_specdir /usr/local/dev/cvs/fedora/nethogs/devel" --define "_builddir /usr/local/dev/cvs/fedora/nethogs/devel" --define "_srcrpmdir /usr/local/dev/cvs/fedora/nethogs/devel" --define "_rpmdir /usr/local/dev/cvs/fedora/nethogs/devel" --define "dist .fc10" --define "fedora 10" --define "fc10 1" --nodeps -bs nethogs.spec
Wrote: /usr/local/dev/cvs/fedora/nethogs/devel/nethogs-0.7-4.20080627cvs.fc10.src.rpm
[ansilva@bean2 devel]$ make tag
cvs tag  -c nethogs-0_7-4_20080627cvs_fc10
? nethogs-0.7-4.20080627cvs.fc10.src.rpm
ERROR: Tag nethogs-0_7-4_20080627cvs_fc10 has been already created.
The following tags have been created so far
nethogs-0_7-2_20080627cvs_fc10:devel:afsilva:1214588134
nethogs-0_7-2_20080627cvs_fc8:F-8:afsilva:1214590880
nethogs-0_7-2_20080627cvs_fc9:F-9:afsilva:1214591223
nethogs-0_7-2_20080627cvs_el5:EL-5:afsilva:1214598785
nethogs-0_7-3_20080627cvs_fc10:devel:afsilva:1215532086
nethogs-0_7-3_20080627cvs_fc9:F-9:afsilva:1215532189
nethogs-0_7-3_20080627cvs_fc8:F-8:afsilva:1215532277
nethogs-0_7-3_20080627cvs_el5:EL-5:afsilva:1215532403
nethogs-0_7-4_20080627cvs_fc10:devel:afsilva:1222912567
nethogs-0_7-4_20080627cvs_fc10:devel:afsilva:1222915267
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!
make: *** [tag] Error 1
[ansilva@bean2 devel]$ make build
/usr/bin/koji  build  dist-f10 'cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/nethogs/devel#nethogs-0_7-4_20080627cvs_fc10'
Created task: 856011
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=856011
Watching tasks (this may be safely interrupted)...
856011 build (dist-f10, /cvs/pkgs:rpms/nethogs/devel:nethogs-0_7-4_20080627cvs_fc10): free
856011 build (dist-f10, /cvs/pkgs:rpms/nethogs/devel:nethogs-0_7-4_20080627cvs_fc10): free -> open (ppc7.fedora.phx.redhat.com)
  856012 buildSRPMFromSCM (/cvs/pkgs:rpms/nethogs/devel:nethogs-0_7-4_20080627cvs_fc10): free
  856012 buildSRPMFromSCM (/cvs/pkgs:rpms/nethogs/devel:nethogs-0_7-4_20080627cvs_fc10): free -> open (ppc7.fedora.phx.redhat.com)
  856012 buildSRPMFromSCM (/cvs/pkgs:rpms/nethogs/devel:nethogs-0_7-4_20080627cvs_fc10): open (ppc7.fedora.phx.redhat.com) -> FAILED: BuildError: Error building SRPM
  0 free  1 open  0 done  1 failed
856011 build (dist-f10, /cvs/pkgs:rpms/nethogs/devel:nethogs-0_7-4_20080627cvs_fc10): open (ppc7.fedora.phx.redhat.com) -> FAILED: BuildError: Error building SRPM
  0 free  0 open  0 done  2 failed

856011 build (dist-f10, /cvs/pkgs:rpms/nethogs/devel:nethogs-0_7-4_20080627cvs_fc10) failed
make: *** [koji] Error 1

Comment 4 Anderson Silva 2008-10-02 14:38:17 UTC
Just an update, the srpm.log from koji throws the following error:

$ cvs -d :pserver:anonymous@cvs.fedoraproject.org:/cvs/pkgs checkout -r nethogs-0_7-4_20080627cvs_fc10 rpms/nethogs/devel
cvs checkout: Updating rpms/nethogs/devel
U rpms/nethogs/devel/nethogs.spec
$ cvs -d :pserver:anonymous@cvs.fedoraproject.org:/cvs/pkgs checkout common
cvs checkout: Updating common
U common/Makefile
U common/Makefile.common
U common/branches
U common/cvs-import.sh
$ make srpm
make: *** No rule to make target `srpm'.  Stop.

Comment 5 Anderson Silva 2008-10-09 00:45:02 UTC
I am still waiting on the community for some help here... I can't build this package in koji for some reason... Please help!

I've patched the original issue. The problem seems to be on koji

AS

Comment 6 Marek Mahut 2008-10-09 08:11:54 UTC
This is a problem w/ the Makefile itself.

 https://fedorahosted.org/fedora-infrastructure/ticket/895

Comment 7 Matt Domsch 2008-10-29 03:48:49 UTC
the above ticket was fixed.  Built in koji.
http://koji.fedoraproject.org/koji/buildinfo?buildID=65802


Note You need to log in before you can comment on or make changes to this bug.